 IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'GroupDeleteA')
	BEGIN
		DROP  Procedure  GroupDeleteA
	END

GO
/***********************************************
***功能描述：删除一个用户组，此操作也将删除用户组的权限，以及用户组与用户的对应关系。
***传入传出参数：
***	@GroupID：		类型：int，传入参数
***				   描述：要删除的组编号
***	@SubSystemID： 类型：varchar(6)，传入参数
***				   描述：子系统编号
***作者：
***建立时间:2009-1-6
***更改时间：
***更改人：
***更改原因：
	  ****************************************************/
CREATE PROCEDURE [dbo].GroupDeleteA
	(
	@SubSystemID varchar(6),
	@GroupID int
	)
AS
IF EXISTS(SELECT 1 FROM [dbo].[Group] WHERE [GroupID]=@GroupID AND SubSystemID=@SubSystemID)
BEGIN
	DELETE FROM Group_Right WHERE GroupID=@GroupID
	DELETE FROM User_Group WHERE GroupID=@GroupID
	DELETE FROM [dbo].[Group] WHERE [GroupID]=@GroupID AND SubSystemID=@SubSystemID
END